function F=map_phi_odd(bodd,M)

global mu sigma

m=length(bodd);
bodd=[bodd;zeros(M-m,1)];

cf=cubic_sumFFT_real(bodd);
F=(pi^2*(2*[1:1:M].'-1).^2+sigma*mu).*bodd(1:M)+2*sigma*cf(2:end);
end


function [s]=cubic_sumFFT_real(a1)
m=length(a1);
b1=-flipud(a1(1:m));
ta1=[zeros(m,1);0;b1;a1;zeros(m,1)];
tu1=ifft(ifftshift(ta1));
Ft=fftshift(fft(tu1.*tu1.*tu1));
s=(4*m+1)^2*real(Ft(2*m+2:3*m+2));
end
